Notification
Get notification rules
Gets all notification rules for the currently logged in user and the chosen vehicle.
GET
/
notification
/
rule
/
{vehicle_id}
Get notification rules
curl --request GET \
--url https://ctechnology.io/api/v2.2/notification/rule/{vehicle_id} \
--header 'Authorization: <api-key>'import requests
url = "https://ctechnology.io/api/v2.2/notification/rule/{vehicle_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://ctechnology.io/api/v2.2/notification/rule/{vehicle_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"num_results": 123,
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
],
"offset": 123,
"limit": 123
},
"data": [
{
"id": "<string>",
"user_id": "<string>",
"vehicle_id": "<string>",
"property_indicator": "<string>",
"value": 123,
"value_key": "<string>",
"tw_start": "<string>",
"tw_end": "<string>",
"tw_timezone": "<string>"
}
]
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}Authorizations
Note that the API key has to be sent as Token 123 where 123 is
the key you received after logging in or by creating on the developer
dashboard.
Path Parameters
ID of vehicle to retrieve notification rules for.
Previous
Add notification ruleAdd a new notification rule for the given vehicle (and logged in user).
Next
⌘I
Get notification rules

